Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer audience query

POST/workspaces/{organizationId}/customers/audience-query
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
logicstring
default: "and"
Allowed:andor
predicatesobject[]
default: []
Show properties
Array of object
fieldstringrequired
min length 1
opstringrequired
Allowed:eqneqingteltecontainshas_signal
valuestring | number | boolean | string | number[]required
Show properties
Any of:
string
string
number
number
boolean
boolean
string | number[]
Array of string | number
Any of:
string
string
number
number
limitinteger
min 1 · max 200
Responses
200

Matched customers for dynamic audience filter

totalMatchednumberrequired
merchantsobject[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/customers/audience-query' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "logic": "and",
  "predicates": [],
  "limit": 1
}'
Response
{
  "totalMatched": 0,
  "merchants": [
    {
      "property1": null,
      "property2": null
    }
  ]
}

Was this page helpful?